Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.util
Class ResourceLoader

    java.lang.Object
      net.sourceforge.pmd.util.ResourceLoader

    public class ResourceLoader

extends java.lang.Object

Method Summary
`static java.io.InputStream` | `loadResourceAsStream(java.lang.String name)` Method to find a file, first by finding it as a file (either by the absolute or relative path), then as a URL, and then finally seeing if it is on the classpath.
`static java.io.InputStream` | `loadResourceAsStream(java.lang.String name, java.lang.ClassLoader loader)` Uses the ClassLoader passed in to attempt to load the resource if it's not a File or a URL

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### loadResourceAsStream

    public static java.io.InputStream loadResourceAsStream(java.lang.String name)
                                                    throws RuleSetNotFoundException

  Method to find a file, first by finding it as a file (either by the absolute or relative path), then as a URL, and then finally seeing if it is on the classpath.

  Throws:
    `RuleSetNotFoundException`

### loadResourceAsStream

    public static java.io.InputStream loadResourceAsStream(java.lang.String name,
                                                           java.lang.ClassLoader loader)
                                                    throws RuleSetNotFoundException

  Uses the ClassLoader passed in to attempt to load the resource if it's not a File or a URL

  Throws:
    `RuleSetNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.